<?php
/*
Plugin Name: SHA512-Pass
Description: PHP verson 5.5 SHA512-CRYPT Password Module [Dovecot Compatible]
Authors: Jared Hall
Version: 1.1
Author URI: http://www.tbi.net/
*/

if( !function_exists('wp_hash_password') )
{
	function wp_hash_password($password)
	{
		global $wp_hasher;

		if(empty($wp_hasher))
		{
			require_once(ABSPATH . '/wp-content/plugins/SHA512-Pass/clashpass.php');
			require_once(ABSPATH . 'wp-includes/class-phpass.php');
			
			$wp_hasher = new SHA512Pass(16, false);
		}

		return $wp_hasher->Pass2Hash($password);
	}
}


